Bug 193555 - Mk/Uses/compiler.mk: switch default clang to a stable version e.g., lang/clang34
Summary: Mk/Uses/compiler.mk: switch default clang to a stable version e.g., lang/clang34
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks: 194863
  Show dependency treegraph
 
Reported: 2014-09-11 08:22 UTC by Jan Beich
Modified: 2014-11-06 23:12 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2014-09-11 08:22:13 UTC
When a port has USES=compiler:c++11-lang on FreeBSD 8.4R it pulls lang/clang33. However, the version provided by the port is quite buggy. Unlike clang 3.3 in base of 10.0R it doesn't contain many fixes, like LLVM PRs 12250, 15840, 16038, 16562, 16727, 16785, 17461/16474, 17026, 18098 and many more.

LLVM/Clang release engineering improved starting with 3.4.x series and they now have point releases. Recently, lang/clang34 was updated 3.4.0 -> 3.4.3. Let's stop depending on Clang X.Y.0 releases by default like we already do for USE_GCC=yes.
Comment 1 Antoine Brodin freebsd_committer 2014-10-11 12:04:42 UTC
I created a code review for this:
https://reviews.freebsd.org/D935
Comment 2 Antoine Brodin freebsd_committer 2014-10-15 13:30:56 UTC
This won't work, http://svnweb.freebsd.org/base?view=revision&revision=263998 was never merged back to freebsd 8 and is merged in 9 only in 9.3 (so 9.1 doesn't have it)
Comment 3 commit-hook freebsd_committer 2014-10-18 18:14:53 UTC
A commit references this bug:

Author: antoine
Date: Sat Oct 18 18:13:59 UTC 2014
New revision: 371153
URL: https://svnweb.freebsd.org/changeset/ports/371153

Log:
  Switch from clang33 to clang34 for ports using compiler:*11*, objc or
  gnustep on freebsd 8.4 and 9.1

  PR:		ports/193555
  Differential Revision:	https://reviews.freebsd.org/D935
  Reviewed by:	bapt
  Exp-run:	self

Changes:
  head/Mk/Uses/compiler.mk
  head/Mk/Uses/objc.mk
  head/Mk/bsd.gnustep.mk
  head/lang/libobjc2/Makefile
  head/net/belle-sip/Makefile